package com.yc.ship.module.resource.service.port;

import java.util.*;
import javax.validation.*;
import com.yc.ship.module.resource.controller.admin.port.vo.*;
import com.yc.ship.module.resource.dal.dataobject.port.ResourcePortDO;
import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.common.pojo.PageParam;

/**
 * 资源管理-口岸管理 Service 接口
 *
 * @author lfy
 */
public interface ResourcePortService {

    /**
     * 创建资源管理-口岸管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createPort(@Valid ResourcePortSaveReqVO createReqVO);

    /**
     * 更新资源管理-口岸管理
     *
     * @param updateReqVO 更新信息
     */
    void updatePort(@Valid ResourcePortSaveReqVO updateReqVO);

    /**
     * 删除资源管理-口岸管理
     *
     * @param id 编号
     */
    void deletePort(Long id);

    /**
     * 获得资源管理-口岸管理
     *
     * @param id 编号
     * @return 资源管理-口岸管理
     */
    ResourcePortDO getPort(Long id);

    /**
     * 获得资源管理-口岸管理分页
     *
     * @param pageReqVO 分页查询
     * @return 资源管理-口岸管理分页
     */
    PageResult<ResourcePortDO> getPortPage(ResourcePortPageReqVO pageReqVO);

    /**
     * 获取启用的口岸
     * @return
     */
    List<ResourcePortDO> enableList();

    /**
     * 获取所有列表
     * @param ids
     * @return
     */
    List<ResourcePortDO> getList(List<Long> ids);

    /**
     *  获取所有列表
     * @return
     */
    List<ResourcePortDO> getListSimple();
}